Package picard.arrays.illumina

## Class IlluminaManifest

- java.lang.Object
- - picard.arrays.illumina.IlluminaManifest

- Direct Known Subclasses:
    `Build37ExtendedIlluminaManifest`

      public class IlluminaManifest
      extends Object

  A class to represent an Illumina Manifest file. Reads the header, stores the contents, and then provides an iterator to allow access to the IlluminaManifestRecords (currently this only supports iterating over the assay records).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADDRESS_A_ID_HEADER_NAME` |
    `static String` | `ADDRESS_B_ID_HEADER_NAME` |
    `static String` | `ALLELE_A_PROBE_SEQ_HEADER_NAME` |
    `static String` | `ALLELE_B_PROBE_SEQ_HEADER_NAME` |
    `static String` | `BEAD_SET_ID_HEADER_NAME` |
    `static String` | `CHROMOSOME_HEADER_NAME` |
    `static String` | `EXP_CLUSTERS_HEADER_NAME` |
    `static String` | `GENOME_BUILD_HEADER_NAME` |
    `static HashSet<String>` | `HEADER_NAMES` |
    `static org.apache.commons.collections4.BidiMap` | `HG_TO_NCBI` |
    `static String` | `HG17` |
    `static String` | `HG18` |
    `static String` | `HG19` |
    `static String` | `ILLUMINA_ID_HEADER_NAME` |
    `static String` | `ILLUMINA_STRAND_HEADER_NAME` |
    `static String` | `INTENSITY_ONLY_HEADER_NAME` |
    `static String[]` | `MANIFEST_FILE_HEADER_NAMES` |
    `protected CsvInputParser` | `manifestFileParser` |
    `static String` | `MAP_INFO_HEADER_NAME` |
    `static String` | `NAME_HEADER_NAME` |
    `static String` | `NCBI_35` |
    `static String` | `NCBI_36` |
    `static String` | `NCBI_37` |
    `static String` | `PLOIDY_HEADER_NAME` |
    `static String` | `REF_STRAND_HEADER_NAME` |
    `static String` | `SNP_HEADER_NAME` |
    `static String` | `SOURCE_HEADER_NAME` |
    `static String` | `SOURCE_SEQ_HEADER_NAME` |
    `static String` | `SOURCE_STRAND_HEADER_NAME` |
    `static String` | `SOURCE_VERSION_HEADER_NAME` |
    `static String` | `SPECIES_HEADER_NAME` |
    `static String` | `TOP_GENOMIC_SEQ_HEADER_NAME` |
    `static HashSet<String>` | `VALID_ALLELES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaManifest​(File manifestFile)` |
    `IlluminaManifest​(File manifestFile, int numAssays)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getAllPossibleHeaderNames()` |
    `String` | `getAssayFormat()` |
    `String[]` | `getAssayHeaderNames()` |
    `Map<String,​Integer>` | `getAssayHeaderNameToIndex()` |
    `String` | `getDateManufactured()` |
    `String` | `getDescriptorFileName()` |
    `List<String[]>` | `getHeaderContents()` |
    `int` | `getLociCount()` |
    `File` | `getManifestFile()` |
    `String[]` | `getManifestFileHeaderNames()` |
    `CsvInputParser` | `getManifestFileParser()` |
    `int` | `getNumAssays()` |
    `Iterator<IlluminaManifestRecord>` | `iterator()` |
    `void` | `setAssayFormat​(String assayFormat)` |
    `void` | `setDateManufactured​(String dateManufactured)` |
    `void` | `setDescriptorFileName​(String descriptorFileName)` |
    `void` | `setLociCount​(int lociCount)` |
    `void` | `setManifestFileParser​(CsvInputParser manifestFileParser)` |
    `void` | `setNumAssays​(int numAssays)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HG17

          public static final String HG17

      See Also:
        Constant Field Values

    - #### HG18

          public static final String HG18

      See Also:
        Constant Field Values

    - #### HG19

          public static final String HG19

      See Also:
        Constant Field Values

    - #### NCBI_35

          public static final String NCBI_35

      See Also:
        Constant Field Values

    - #### NCBI_36

          public static final String NCBI_36

      See Also:
        Constant Field Values

    - #### NCBI_37

          public static final String NCBI_37

      See Also:
        Constant Field Values

    - #### HG_TO_NCBI

          public static final org.apache.commons.collections4.BidiMap HG_TO_NCBI

    - #### VALID_ALLELES

          public static final HashSet<String> VALID_ALLELES

    - #### ILLUMINA_ID_HEADER_NAME

          public static final String ILLUMINA_ID_HEADER_NAME

      See Also:
        Constant Field Values

    - #### NAME_HEADER_NAME

          public static final String NAME_HEADER_NAME

      See Also:
        Constant Field Values

    - #### ILLUMINA_STRAND_HEADER_NAME

          public static final String ILLUMINA_STRAND_HEADER_NAME

      See Also:
        Constant Field Values

    - #### SNP_HEADER_NAME

          public static final String SNP_HEADER_NAME

      See Also:
        Constant Field Values

    - #### ADDRESS_A_ID_HEADER_NAME

          public static final String ADDRESS_A_ID_HEADER_NAME

      See Also:
        Constant Field Values

    - #### ALLELE_A_PROBE_SEQ_HEADER_NAME

          public static final String ALLELE_A_PROBE_SEQ_HEADER_NAME

      See Also:
        Constant Field Values

    - #### ADDRESS_B_ID_HEADER_NAME

          public static final String ADDRESS_B_ID_HEADER_NAME

      See Also:
        Constant Field Values

    - #### ALLELE_B_PROBE_SEQ_HEADER_NAME

          public static final String ALLELE_B_PROBE_SEQ_HEADER_NAME

      See Also:
        Constant Field Values

    - #### GENOME_BUILD_HEADER_NAME

          public static final String GENOME_BUILD_HEADER_NAME

      See Also:
        Constant Field Values

    - #### CHROMOSOME_HEADER_NAME

          public static final String CHROMOSOME_HEADER_NAME

      See Also:
        Constant Field Values

    - #### MAP_INFO_HEADER_NAME

          public static final String MAP_INFO_HEADER_NAME

      See Also:
        Constant Field Values

    - #### PLOIDY_HEADER_NAME

          public static final String PLOIDY_HEADER_NAME

      See Also:
        Constant Field Values

    - #### SPECIES_HEADER_NAME

          public static final String SPECIES_HEADER_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_HEADER_NAME

          public static final String SOURCE_HEADER_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_VERSION_HEADER_NAME

          public static final String SOURCE_VERSION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_STRAND_HEADER_NAME

          public static final String SOURCE_STRAND_HEADER_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_SEQ_HEADER_NAME

          public static final String SOURCE_SEQ_HEADER_NAME

      See Also:
        Constant Field Values

    - #### TOP_GENOMIC_SEQ_HEADER_NAME

          public static final String TOP_GENOMIC_SEQ_HEADER_NAME

      See Also:
        Constant Field Values

    - #### BEAD_SET_ID_HEADER_NAME

          public static final String BEAD_SET_ID_HEADER_NAME

      See Also:
        Constant Field Values

    - #### EXP_CLUSTERS_HEADER_NAME

          public static final String EXP_CLUSTERS_HEADER_NAME

      See Also:
        Constant Field Values

    - #### REF_STRAND_HEADER_NAME

          public static final String REF_STRAND_HEADER_NAME

      See Also:
        Constant Field Values

    - #### INTENSITY_ONLY_HEADER_NAME

          public static final String INTENSITY_ONLY_HEADER_NAME

      See Also:
        Constant Field Values

    - #### MANIFEST_FILE_HEADER_NAMES

          public static final String[] MANIFEST_FILE_HEADER_NAMES

    - #### HEADER_NAMES

          public static final HashSet<String> HEADER_NAMES

    - #### manifestFileParser

          protected CsvInputParser manifestFileParser

  - ### Constructor Detail

    - #### IlluminaManifest

          public IlluminaManifest​(File manifestFile)
                           throws IOException

      Throws:
        `IOException`

    - #### IlluminaManifest

          public IlluminaManifest​(File manifestFile,
                                  int numAssays)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getAllPossibleHeaderNames

          public String[] getAllPossibleHeaderNames()

    - #### getAssayHeaderNames

          public String[] getAssayHeaderNames()

    - #### getAssayHeaderNameToIndex

          public Map<String,​Integer> getAssayHeaderNameToIndex()

    - #### iterator

          public Iterator<IlluminaManifestRecord> iterator()

    - #### getManifestFileHeaderNames

          public String[] getManifestFileHeaderNames()

    - #### getManifestFile

          public File getManifestFile()

    - #### getManifestFileParser

          public CsvInputParser getManifestFileParser()

    - #### setManifestFileParser

          public void setManifestFileParser​(CsvInputParser manifestFileParser)

    - #### getDescriptorFileName

          public String getDescriptorFileName()

    - #### setDescriptorFileName

          public void setDescriptorFileName​(String descriptorFileName)

    - #### getAssayFormat

          public String getAssayFormat()

    - #### setAssayFormat

          public void setAssayFormat​(String assayFormat)

    - #### getDateManufactured

          public String getDateManufactured()

    - #### setDateManufactured

          public void setDateManufactured​(String dateManufactured)

    - #### setLociCount

          public void setLociCount​(int lociCount)

    - #### getLociCount

          public int getLociCount()

    - #### getNumAssays

          public int getNumAssays()

    - #### setNumAssays

          public void setNumAssays​(int numAssays)

    - #### getHeaderContents

          public List<String[]> getHeaderContents()